Subject: Re: [RFC] ll-merge: Normalize files before merging

From: Eyvind Bernhardsen <[email-masked]>
Date: Fri, 11 Jun 2010 10:47:44 +0200

On 11. juni 2010 10:36, Finn Arne Gangstad wrote:

> It would probably be more correct to do
>
> conert_to_git(convert_to_work_tree(x)) for the parts taken from base
> and theirs, in theory I guess that this can be true:
>
> convert_to_git(x) != convert_to_git(convert_to_work_tree(x))

Interesting idea, might be a bit slow perhaps?  I'll do some 
benchmarketing.  Incidentally, it has to convert_to_work_tree() "ours" 
as well, since the merge code doesn't read anything from the worktree.

I think convert_to_git(convert_to_work_tree(x)) is actually less likely 
to cause trouble than convert_to_git(convert_to_git(x)), which is what 
blind normalization would end up doing for at least one side of the merge.

- Eyvind